import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { DeleteDeploymentConfigInput } from "../models/models_0";
export { __MetadataBearer };
export interface DeleteDeploymentConfigCommandInput
  extends DeleteDeploymentConfigInput {}
export interface DeleteDeploymentConfigCommandOutput extends __MetadataBearer {}
declare const DeleteDeploymentConfigCommand_base: {
  new (
    input: DeleteDeploymentConfigCommandInput
  ): import("@smithy/core/client").CommandImpl<
    DeleteDeploymentConfigCommandInput,
    DeleteDeploymentConfigCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: DeleteDeploymentConfigCommandInput
  ): import("@smithy/core/client").CommandImpl<
    DeleteDeploymentConfigCommandInput,
    DeleteDeploymentConfigCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class DeleteDeploymentConfigCommand extends DeleteDeploymentConfigCommand_base {
  protected static __types: {
    api: {
      input: DeleteDeploymentConfigInput;
      output: {};
    };
    sdk: {
      input: DeleteDeploymentConfigCommandInput;
      output: DeleteDeploymentConfigCommandOutput;
    };
  };
}
